osl::eval::ppair::PiecePairPieceEval Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | List of all members
osl::eval::ppair::PiecePairPieceEval Class Reference

評価関数: PiecePairRawEval + PieceEval の点数を加えたもの More...

`#include <piecePairPieceEval.h>`

Inheritance diagram for osl::eval::ppair::PiecePairPieceEval:
[legend]
Collaboration diagram for osl::eval::ppair::PiecePairPieceEval:
[legend]

## Public Types
typedef PiecePairWithStand < PiecePairPieceTable > | base_t
Public Types inherited from osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >
typedef PiecePairEval < PiecePairWithStand < PiecePairPieceTable > , PiecePairPieceTable > | base_t
Public Types inherited from osl::eval::ppair::PiecePairEval< PiecePairWithStand< PiecePairPieceTable >, PiecePairPieceTable >
typedef PiecePairEvalTableBase < PiecePairPieceTable > | base_t

## Public Member Functions
| PiecePairPieceEval (const SimpleState &state)
Public Member Functions inherited from osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >
| PiecePairWithStand (const SimpleState &state)
Public Member Functions inherited from osl::eval::ppair::PiecePairEval< PiecePairWithStand< PiecePairPieceTable >, PiecePairPieceTable >
void | changeTurn ()
int | expect (const SimpleState &state, Move m) const
| この時 state は move する前 More...
void | update (const SimpleState &new_state, Move last_move)
| この時 state は move した後 More...

## Static Public Member Functions
static int | adjustableDimension ()
static void | resetWeights (const int *w)
Static Public Member Functions inherited from osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >
static int | standBonus (PtypeO ptypeo)
static int | standBonus (const SimpleState &state)
static int | diffAfterDropMove (const SimpleState &state, Square to, PtypeO ptypeo)
static int | diffAfterSimpleMove (const SimpleState &state, Square from, Square to, int promote_mask)
static int | diffAfterCaptureMove (const SimpleState &state, Square from, Square to, PtypeO victim, int promote_mask)
static int | diffWithUpdate (const SimpleState &new_state, Move last_move)
static void | setValues (const SimpleState &, container::PieceValues &)
Static Public Member Functions inherited from osl::eval::ppair::PiecePairEval< PiecePairWithStand< PiecePairPieceTable >, PiecePairPieceTable >
static int | diffWithMove (const SimpleState &state, Move move)
Static Public Member Functions inherited from osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >
static int | adjustPairs (const SimpleState &state, unsigned int new_index)
| 駒が old_index から new_index に動いたときの値の差分 More...
static int | adjustPairs (const SimpleState &state, unsigned int old_index, unsigned int new_index)
static int | adjustPairs (const SimpleState &state, unsigned int old_index, unsigned int old_index2, unsigned int new_index)
static int | diffAfterSimpleMove (const SimpleState &state, Square from, Square to, int promote_mask)
static int | diffAfterDropMove (const SimpleState &state, Square to, PtypeO ptypeo)
static int | diffAfterCaptureMove (const SimpleState &state, Square from, Square to, PtypeO victim, int promote_mask)
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int new_index)
| この時 state は move した後 More...
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int old_index, unsigned int new_index)
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int old_index, unsigned int old_index2, unsigned int new_index)
static int | diffWithUpdate (const SimpleState &new_state, Move last_move)
static void | setValues (const SimpleState &, container::PieceValues &)
| 関係の値をPiece 毎の価値に変換する. More...
static bool | initialized ()
static bool | setUp (const char *filename)
static bool | setUp ()
Static Public Member Functions inherited from osl::eval::ppair::PiecePairEvalBase
static int | roundUp (int v)
static int | infty ()
static int | captureValue (PtypeO ptypeo)

## Additional Inherited Members
Static Public Attributes inherited from osl::eval::ppair::PiecePairEvalBase
static const int | ROUND_UP = 2
| roundup は 2^n であること More...
Protected Member Functions inherited from osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >
| ~PiecePairWithStand ()
Protected Attributes inherited from osl::eval::ppair::PiecePairEvalBase
int | val

## Detailed Description

評価関数: PiecePairRawEval + PieceEval の点数を加えたもの

Definition at line 34 of file piecePairPieceEval.h.

## Member Typedef Documentation

typedef PiecePairWithStand<PiecePairPieceTable> osl::eval::ppair::PiecePairPieceEval::base_t

Definition at line 38 of file piecePairPieceEval.h.

## Constructor & Destructor Documentation

osl::eval::ppair::PiecePairPieceEval::PiecePairPieceEval | ( | const SimpleState & | state) |  |
| inlineexplicit

Definition at line 39 of file piecePairPieceEval.h.

## Member Function Documentation

static int osl::eval::ppair::PiecePairPieceEval::adjustableDimension | ( | ) |  |
| inlinestatic

Definition at line 43 of file piecePairPieceEval.h.

References osl::PTYPE_SIZE.

void osl::eval::ppair::PiecePairPieceEval::resetWeights | ( | const int * | w) |  |
| static

Definition at line 139 of file piecePairPieceTable.cc.

References osl::PTYPE_SIZE.

The documentation for this class was generated from the following files:

- piecePairPieceEval.h
- piecePairPieceTable.cc